%define name checkpassword
%define version 0.90
%define release 5rph

Name:		%{name}
Summary:	Simple, uniform password-checking interface
Version:	%{version}
Release:	%{release}
Copyright:	Public Domain
Group:		System/Servers
URL:		http://pobox.com/~djb/checkpwd.html
Source:		%{name}-%{version}.tar.bz2
Source1:	checkpassword.8
Patch0:		checkpassword-0.90-errno.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}
Packager:	Vincent Danen <vdanen@mandrakesoft.com>

%description
Checkpassword provides a simple, uniform password-checking interface to all
root applications. It is suitable for use by programs such as login, ftpd, and 
pop3d.  This is required by qmail to authenticate passwords for qmail-pop3d.

%prep
%setup -q
%patch -p1 -b .errno


%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

echo "gcc %{optflags}" >conf-cc
echo "gcc -s %{optflags}" >conf-ld

SHADOWOPTS=$RPM_OPT_FLAGS SHADOWLIBS=-lcrypt make checkpassword


%install
mkdir -p %{buildroot}/bin
mkdir -p %{buildroot}%{_mandir}/man8
install -m 700 checkpassword %{buildroot}/bin
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man8


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr (-,root,root)
%doc CHANGES README TODO
/bin/checkpassword
%{_mandir}/man8/checkpassword.8*


%changelog
* Sat Feb  1 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.90-5rph
- rebuild for 9.1
- P0: errno.h errors

* Fri Aug  9 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.90-4rph
- rebuild for 9.0

* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.90-3rph
- use new rph extension

* Thu Sep 27 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.90-2mdk
- add packager tag

* Mon Jul  9 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.90-1mdk
- 0.90
- use manpage from 0.81 since 0.90 omits it
- use new conf-cc/conf-ld files for optimization

* Thu Jul 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.81-2mdk
- macroization

* Mon Jul 17 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.81-1mdk
- mandrake build
